#
# Conditional build:
%bcond_without	javadoc		# don't build apidocs
%bcond_with	java_sun	# build with java-sun

%define		srcname	commons-lang
%include	/usr/lib/rpm/macros.java
Summary:	Commons Lang - utility functions and components
Summary(pl.UTF-8):	Commons Lang - funkcje i komponenty narzędziowe
Name:		java-commons-lang
Version:	2.4
Release:	3
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/lang/source/commons-lang-%{version}-src.tar.gz
# Source0-md5:	625ff5f2f968dd908bca43c9469d6e6b
URL:		http://commons.apache.org/lang/
BuildRequires:	ant >= 1.5
BuildRequires:	java(jaxp_parser_impl)
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Obsoletes:	jakarta-commons-lang
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons Lang is a set of utility functions and reusable components
that should be a help in any Java environment.

%description -l pl.UTF-8
Commons Lang to zestaw funkcji narzędziowych i komponentów
wielokrotnego użycia, które mogą być pomocne w każdym środowisku Javy.

%package javadoc
Summary:	Online manual for Commons Lang
Summary(pl.UTF-8):	Dokumentacja online do Commons Lang
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-lang-javadoc

%description javadoc
Documentation for Commons Lang.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Lang.

%description javadoc -l fr.UTF-8
Javadoc pour Commons Lang.

%prep
%setup -q -n commons-lang-%{version}-src

%build

%ant jar %{?with_javadoc:javadoc} \
  -Dcompile.source=1.4 \
  -Dcompile.target=1.4

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install dist/*.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc PROPOSAL.html RELEASE-NOTES.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-lang.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> cddd838
- avoid self-obsoletes; drop old jakarta provides

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> 369b7ef
- release 2 (by relup.sh)

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> eb65fab
- don't force specific jdk
- updated java APIs deps
- sorted deps

* Sun Sep 20 2009 pawelz <pawelz@pld-linux.org> 68248ea
- up to 2.4
- unified per distro jdk bconds
- standard java BRs
- source/target = 1.4 (because of enum used as identifier)
- do not package LICENSE.txt. It contains well known Apache v2 license.

* Sun Mar 29 2009 pawelz <pawelz@pld-linux.org> a4f500f
- it uses Apache License v 2.0 not 1.1
- rel 4

* Sun Mar 29 2009 pawelz <pawelz@pld-linux.org> 082ad74
- jdk bconds
- proper P/O after changing Name
- include java rpm macros
- simplified %%build:
- dropped "export SHELL=/bin/sh" (fixed gjdoc)
- dropped "-Dbuil.compiler=extJavac" (fixed java-gcj-compat-devel)

* Wed Feb 18 2009 Jakub Bogusz <qboosh@pld-linux.org> ac8631c
- unified

* Tue Feb 10 2009 pawelz <pawelz@pld-linux.org> 8ba32f2
- split javadoc into subpackage
- do not R jre
- use java-gcj-compat-devel
- rel 3

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> c5bc304
- Libraries/Java group

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 02d2547
- commons is no longer part of jakarta project

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9fb65ab
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef91e6e
- converted to UTF-8

* Tue Dec 05 2006 Elan Ruusamäe <glen@pld-linux.org> 44eeb2a
- BR for %ant

* Tue Dec 05 2006 Elan Ruusamäe <glen@pld-linux.org> ff11da0
- fix build

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> bf42760
- s/jakarta-ant/ant/ in BR

* Mon May 15 2006 ankry <ankry@pld-linux.org> 259ec92
- cosmetics

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 48a6f8a
- orphaned, outdated

* Mon Jun 13 2005 undefine <undefine@pld-linux.org> db80821
- up to 2.1

* Sun May 08 2005 Jakub Bogusz <qboosh@pld-linux.org> c826d7a
- updated to 2.0, added javadoc patch (to build docs on jdk 1.5)

* Sun May 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 103df90
- let javadoc work with jdk 1.5

